#@ load("@ytt:overlay", "overlay")
#@ load("@ytt:data", "data")

#@ host = data.values.application.subdomain + "." + data.values.cluster.domain

#@overlay/match by=overlay.subset({"kind": "Ingress"}), expects="0+"
---
apiVersion: networking.k8s.io/v1
spec:
  #@overlay/replace
  rules:
    - host: #@ host
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: forgejo-http
                port:
                  number: 3000
